scala.tools.nsc.transform.patmat.MatchCodeGen

# PureCodegen

#### trait PureCodegen extends CodegenCore with PureMatchMonadInterface

Source
  MatchCodeGen.scala

Linear Supertypes
PureMatchMonadInterface, CodegenCore, MatchCodeGen.MatchMonadInterface, AnyRef, Any
Known Subclasses
PureMatchTranslator
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. PureCodegen
2. PureMatchMonadInterface
3. CodegenCore
4. MatchMonadInterface
5. AnyRef
6. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Type Members

1. #### trait AbsCodegen extends AnyRef

   Definition Classes
     CodegenCore

2. #### trait Casegen extends AbsCodegen

   Definition Classes
     CodegenCore

3. #### abstract class CommonCodegen extends AbsCodegen

   Definition Classes
     CodegenCore

### Abstract Value Members

1. #### abstract val matchStrategy: Global.Tree

   Definition Classes
     PureMatchMonadInterface

2. #### abstract val typer: (analyzer)#Typer

   Definition Classes
     MatchMonadInterface

### Concrete Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from PureCodegen to any2stringadd[PureCodegen] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (PureCodegen, B)

   Implicit information
     This member is added by an implicit conversion from PureCodegen to ArrowAssoc[PureCodegen] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### def _match(n: Global.Name): SelectStart

   Definition Classes
     PureMatchMonadInterface

7. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

8. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

9. #### def codegen: AbsCodegen

   Definition Classes
     PureCodegen → CodegenCore

10. #### def ensuring(cond: (PureCodegen) ⇒ Boolean, msg: ⇒ Any): PureCodegen

    Implicit information
      This member is added by an implicit conversion from PureCodegen to Ensuring[PureCodegen] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

11. #### def ensuring(cond: (PureCodegen) ⇒ Boolean): PureCodegen

    Implicit information
      This member is added by an implicit conversion from PureCodegen to Ensuring[PureCodegen] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

12. #### def ensuring(cond: Boolean, msg: ⇒ Any): PureCodegen

    Implicit information
      This member is added by an implicit conversion from PureCodegen to Ensuring[PureCodegen] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

13. #### def ensuring(cond: Boolean): PureCodegen

    Implicit information
      This member is added by an implicit conversion from PureCodegen to Ensuring[PureCodegen] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

14. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

15. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

16. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

17. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from PureCodegen to StringFormat[PureCodegen] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

18. #### def freshName(prefix: String): Global.TermName

    Definition Classes
      CodegenCore

19. #### def freshSym(pos: Global.Position, tp: Global.Type = NoType, prefix: String = "x"): Global.TermSymbol

    Definition Classes
      CodegenCore

20. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

21. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

22. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

23. #### val matchOwner: Global.Symbol

    Definition Classes
      MatchMonadInterface

24. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

25. #### def newSynthCaseLabel(name: String): Global.MethodSymbol

    Definition Classes
      CodegenCore

26. #### final def notify(): Unit

    Definition Classes
      AnyRef

27. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

28. #### object pureCodegen extends CommonCodegen with Casegen

29. #### def pureType(tp: Global.Type): Global.Type

    Definition Classes
      PureMatchMonadInterface → MatchMonadInterface

30. #### def reportMissingCases(pos: Global.Position, counterExamples: List[String]): Unit

    Definition Classes
      MatchMonadInterface

31. #### def reportUnreachable(pos: Global.Position): Unit

    Definition Classes
      MatchMonadInterface

32. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

33. #### def toString(): String

    Definition Classes
      AnyRef → Any

34. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

35. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

36. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

37. #### def →[B](y: B): (PureCodegen, B)

    Implicit information
      This member is added by an implicit conversion from PureCodegen to ArrowAssoc[PureCodegen] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from PureMatchMonadInterface

### Inherited from CodegenCore

### Inherited from MatchCodeGen.MatchMonadInterface

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from PureCodegen to any2stringadd[PureCodegen]

### Inherited by implicit conversion StringFormat from PureCodegen to StringFormat[PureCodegen]

### Inherited by implicit conversion Ensuring from PureCodegen to Ensuring[PureCodegen]

### Inherited by implicit conversion ArrowAssoc from PureCodegen to ArrowAssoc[PureCodegen]

### Ungrouped